Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 16430 - Hitting F1 displays no help for Property Sheet
Hitting F1 displays no help for Property Sheet
Status: VERIFIED FIXED
Product: platform
Classification: Unclassified
Component: Explorer
3.x
All All
: P4 (vote)
: 3.x
Assigned To: _ tboudreau
issues@platform
: UI
Depends on: 14701 29447
Blocks:
  Show dependency treegraph
 
Reported: 2001-10-10 14:50 UTC by Unknown
Modified: 2008-12-22 22:18 UTC (History)
3 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
Patch to fix cfg file to include all help tests, in case #16430 is fixed (1.62 KB, patch)
2002-04-05 16:51 UTC, Jesse Glick
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Unknown 2001-10-10 14:50:27 UTC
I have set the Help Id of a Property Sheet, ie:

  Sheet.Set s = new Sheet.Set ();
  s.setValue ("helpID", "my_help_tag");

Using FFJ 3.0 (based on NB3.2), if I displayed 
this tab on the property sheet, hit F1, the help
was displayed in the help viewer.  Using new 
builds of FFJ based on NB3.3, this no longer works.
Comment 1 Peter Zavadsky 2001-10-11 09:08:19 UTC
Please, a question:

Does it display no Help window or wrong page for your ID specified?
On my machine the F1 works (Linux), on last builds (NB and FFJ as well).


Comment 2 Peter Zavadsky 2001-10-11 10:55:50 UTC
I found out you are right and ment that always the default help page
was showed, instead of the one you specified by help ID. The regressio
was caused by refactoring of prop sheets about 2 months ago.

Fixed in [main-trunk].

Fix:
openide/../explorer/propertysheet/PropertySheet.java [1.70]
                                 /PropertySheetTab.java [1.24]
Comment 3 Marian Mirilovic 2001-11-12 16:52:03 UTC
verified in [nb_dev](20011112)

Now if you have selected some property which has setvalue, after
hitting F1 Help window with right help arise.

But there is another issue with additional problem issue 17424.
Comment 4 Jesse Glick 2002-03-20 18:08:59 UTC
Sorry, it is not working for me. Maybe it was fixed, but it is not working now, in the 
trunk at least (early March sources). Lower priority since no one really used 
property-level help so I do not think it is critical even though it is a regression, 
but it would be nice to fix for 3.4.

See unit tests in issue #14701. (Not committed to CVS yet but you can run them, see 
attachments there.) Also see interactive test class in #20794 which makes the problem 
easy to see.

Node.PropertySet help works fine. But Node.Property help does not work at all. Setting 
an ID on the N.P has no effect; the property sheet continues to look for an ID on the 
active N.PS and then on the containing Node. Examining the 
org.openide.explorer.propertysheet.* code, I can see nothing which even looks for an ID 
on a N.P (the code which finds it on a N.PS looks straightforward).

Please reexamine this. If fixed properly, the config-file exclude in #14701 should not 
be necessary - all the help tests ought to pass. The unit tests should make it easier 
for propsheet developers to make sure it does not get rebroken.
Comment 5 Jesse Glick 2002-03-22 19:05:12 UTC
#14701 tests are in CVS now. Please try removing the exclude of the
second property sheet help test. If this is fixed, the test should be
included in the stable test suite again.
Comment 6 Peter Zavadsky 2002-03-27 09:02:24 UTC
Passing to new owner.
Comment 7 Jiri Rechtacek 2002-04-05 10:29:47 UTC
the FindHelpTest was included in stable suite.
Comment 8 Jesse Glick 2002-04-05 16:23:18 UTC
Jirka I found three problems with your patch to cfg-unit.xml:

1. The sequence

                <include
name="org/openide/explorer/propertysheet/*.class"/>
                <include
name="org/openide/explorer/propertysheet/FindHelpTest.class"/>

is redundant, the second line does nothing.

2. FindHelpTest is supposed to be run with the code executor, not the
ide executor. Please change

                <include
name="org/openide/explorer/propertysheet/FindHelpTest.class/testFindHelpOnPropertySheetTab"/>

to

                <include
name="org/openide/explorer/propertysheet/FindHelpTest.class"/>

to indicate that *both* tests in this class should be run.

3. You did not remove this test from the failing config:

                <!-- Implementation was apparently killed during a
refactoring: -->
                <include
name="org/openide/explorer/propertysheet/FindHelpTest.class/testFindHelpOnPropertySheetRow"/>

Are you sure this problem is now fixed (you verified it manually using
the supplied demo class from issue #20794, as well as running the unit
test)? I did not see any code changes which were supposed to fix the
bug, and a search of org.openide.explorer.propertysheet.* sources
still reveals only one use of "helpID" in PropertySheetTab, getting
help on the tab but not an individual property.
Comment 9 Jesse Glick 2002-04-05 16:51:34 UTC
Created attachment 5314 [details]
Patch to fix cfg file to include all help tests, in case #16430 is fixed
Comment 10 Jiri Rechtacek 2002-04-08 15:35:33 UTC
more investigate on FindHelpTest, test failed on
java.lang.IllegalAccessError
Comment 11 Jiri Rechtacek 2002-04-08 15:37:59 UTC
setting test bags will be edited right
Comment 12 Jiri Rechtacek 2002-04-08 17:53:03 UTC
Jesse, you are right, I overlooked there were two FindHelpTest in
explorer and else in explorer/propertysheet directory at first and I
included the explorer/propertysheet/FindHelpTest twice at second and
FindHelpTest/testFindHelpOnPropertySheetRow() didn't work at last. I'm
going to set the unit tests back for now. Sorry for annoyance.
Comment 13 Jiri Rechtacek 2002-04-08 18:16:10 UTC
the propertysheet/FindHelpTest excluded again from statble testbag_2,
it has failed yet.
Comment 14 Marek Grummich 2002-07-22 11:15:50 UTC
Set target milestone to TBD
Comment 15 Marek Grummich 2002-07-22 11:18:55 UTC
Set target milestone to TBD
Comment 16 Marian Mirilovic 2002-12-06 18:34:04 UTC
I move this one to property sheet subcomponent, but maybe Jirka could
finish his work :)
Comment 17 Jesse Glick 2003-02-26 22:58:25 UTC
IMHO this is now P4 - help on the tab works, just not help on rows,
and no one that I am aware of is using help on individual rows.
Comment 18 Jiri Rechtacek 2003-02-27 11:12:46 UTC
reassign to Tim as propertysheet owner, note:
propertysheet/FindHelpTest fails constantly (was tried on Feb 19 dev)
Comment 19 _ tboudreau 2003-04-14 12:21:13 UTC
Adding to property sheet umbrella issue
Comment 20 _ tboudreau 2003-07-16 19:40:31 UTC
Fixed - new property sheet committed.

Note code in findHelpTest temporarily commented out - needs
a rewrite to deal with the new components.
Comment 21 Marian Mirilovic 2003-07-18 13:52:48 UTC
verified in [nb_dev](20030718)


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo